<%@ language = "VBScript" %>
<% option explicit %>
<!-- #include file="fileSystemTree.asp" -->
<!-- #include file="xml.asp" -->
<!-- #include file="misc.asp" -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <title>ASP Project Parser</title>
    <link rel="stylesheet" href="screen.css" type="text/css" media="screen" />
    <meta name="author" content="Philipp Lenssen" />
</head>
<body style="overflow: auto" id="helpEntry">

<% handleUrlOutput %>

</body>
</html>

<% 
sub handleUrlOutput
    const textCompare = 1
    dim url
    dim serverUrl
    dim folderUrl
    dim pageUrl
    dim xmlhttp
    dim bodyContent
    dim pageText

    serverUrl = request.queryString("serverUrl")
    folderUrl = request.queryString("folderUrl")
    pageUrl = request.queryString("pageUrl")
    url = serverUrl & folderUrl & pageUrl

    %>
    <div class="note">This page
    (<a href="<% = url %>"><% = url %></a>)
    is written by and Copyright by Microsoft. It's
    reformatted on this page but in no way associated to the ASP Project Parser.
    </div>
    <%

    ' See http://www.aspfaq.com/faq/faqShow.asp?fid=119
    '     http://www.aspfaq.com/faq/faqShow.asp?fid=185

    on error resume next
    set xmlhttp = server.CreateObject("MSXML2.ServerXMLHTTP") 
    if err <> 0 then
        %>
        <p>This feature only fully works using Microsoft Windows 2000.<br />
            Follow <a href="<% = url %>">URL to help</a> now.
        </p>
        <%
    else
        xmlhttp.open "GET", url, false 
        xmlhttp.send ""

        pageText = xmlhttp.responseText
        bodyContent = getTextBetween(pageText, "<BODY>", "</BODY>")
    
        bodyContent = replace(bodyContent, "<a href=""/", "<a href=""" & serverUrl, 1, -1, textCompare)
        bodyContent = deleteTextBetween(bodyContent, "<!--Start Head-->", "<!--End Head-->")
        bodyContent = deleteTextBetween(bodyContent, "<!--COPYRIGHT BEGIN-->", "<!--COPYRIGHT END-->")
    
        response.write bodyContent
    end if
end sub

function deleteTextBetween(oldText, before, after)
    dim textBetween
    dim newText

    newText = oldText
    textBetween = getTextBetween(newText, before, after)
    newText = replace(newText, textBetween, before & after)

    deleteTextBetween = newText
end function

%>